Last Comment Bug 698359 - Remove SSL thread (nsSSLThread) hacks implemented for SPDY
: Remove SSL thread (nsSSLThread) hacks implemented for SPDY
Status: RESOLVED FIXED
: perf
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 674147
Blocks: 698229
  Show dependency treegraph
 
Reported: 2011-10-31 03:00 PDT by Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
Modified: 2012-02-06 04:05 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2011-10-31 03:00:47 PDT
Patrick's SPDY patches include some un-pretty (but working) changes to nsSSLThread and related code required to get SPDY working in the absense of a fix for bug 674147. Once bug 674147 is fixed, most of the ugliness will automatically be removed via the removal of the nsSSLThread.cpp and nsSSLThread.h files, but there might still be some additional cleanup required.
Comment 1 Patrick McManus [:mcmanus] 2011-12-01 16:56:11 PST
cleaned up the poll() hack in transport service and the use of nshttpconnection::onsocketreadable() to drive npn, as well as the use of the sslthread for forcehandshake().

That clears up everything I considered a sslthread workaround.

I'm going to mark this fixed even though I can't point to a checkin (because the hacks were never checked in)

Note You need to log in before you can comment on or make changes to this bug.